Opera is having problems with Unity

  • Multiple websites are showing this error message:

    Sorry, Google Chrome can't run this app
    You are using Google Chrome that does not support the Unity Web Player plugin needed to run this app.
    We recommend using another browser, such as Internet Explorer, Firefox or Opera.

    Thanks in advance,
    Arnav

  • Do you have the Unity Web Player plugin installed?

  • i have same problem, and i had reinstall unity web player, still cant play, IE is OK

  • Since this thread was started Chrome based web browsers have disabled the NPAPI. The Unity Web Player uses the NPAPI and they have yet to release a modern version of their plugin. NPAPI is 20 years old and terrible. Its been replaced with the PPAPI. Only one major browser still supports it: Firefox. Firefox will be dropping it at the end of the year. IE still supports it but since its development has basically ended in favor of edge we wont count it.

Log in to reply
 

Looks like your connection to Opera forums was lost, please wait while we try to reconnect.